REST APIAnalytics
Analytics and ads
Organic results per network and the paid summary.
Organic and paid results
GET
/api/analyticsscope: readQuery
days7 | 30 | 90 | 365Default 30. Limited by your plan history.
platforminstagram | facebook | tiktok | linkedinOnly one network.
curl https://www.zieads.com/api/analytics?days=30 \
-H "Authorization: Bearer zk_your_key"{
"data": {
"totals": {
"followers": 23710,
"followers_net": 312,
"reach": 41200,
"interactions": 2380,
"interactions_change_pct": 12.4,
"posts": 18,
"engagement_rate": 5.78
},
"per_network": [
{
"platform": "instagram",
"handle": "@kopikita",
"followers": 18200,
"reach": 33100,
"posts": 12,
"interactions": 1980,
"engagement_rate": 5.98
}
],
"organic": {
"posts": [
{
"id": "p1",
"platform": "instagram",
"format": "reels",
"caption": "Serum Reel",
"reach": 9100,
"likes": 380,
"comments": 32
}
]
}
}
}Ads summary
GET
/api/ads/summaryscope: readQuery
daysinteger 1-365Default 30.
curl https://www.zieads.com/api/ads/summary?days=30 \
-H "Authorization: Bearer zk_your_key"{
"data": {
"days": 30,
"has_data": true,
"source": "api",
"totals": {
"spend": 1240.5,
"clicks": 3920,
"conversions": 118,
"revenue": 4980,
"roas": 4.01
},
"by_platform": [],
"top_campaigns": []
}
}